org.eclipse.microprofile.opentracing.tck.application

## Class TestClientRegistrarWebServices

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestClientRegistrarWebServices

    @Path(value="testRegistrarServices")
    public class TestClientRegistrarWebServices
    extends Object

Author:
  Pavol Loffay

### Field Summary

Fields
`static String` `REST_CLIENT_BUILDER`
`static String` `REST_CLIENT_BUILDER_EXECUTOR`
`static String` `REST_OK`
`static String` `REST_SERVICE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`TestClientRegistrarWebServices()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `clientRegistrar(boolean async)` Endpoint which uses `ClientTracingRegistrar.configure(ClientBuilder)` to create an outbound request to instrument a client for an outbound request.
`jakarta.ws.rs.core.Response` `clientRegistrarExecutor(boolean async)` Endpoint which uses `ClientTracingRegistrar.configure(ClientBuilder, java.util.concurrent.ExecutorService)` to instrument a client for an outbound request.
`jakarta.ws.rs.core.Response` `ok()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_SERVICE_PATH

    public static final String REST_SERVICE_PATH

See Also:
  Constant Field Values

#### REST_OK

    public static final String REST_OK

See Also:
  Constant Field Values

#### REST_CLIENT_BUILDER

    public static final String REST_CLIENT_BUILDER

See Also:
  Constant Field Values

#### REST_CLIENT_BUILDER_EXECUTOR

    public static final String REST_CLIENT_BUILDER_EXECUTOR

See Also:
  Constant Field Values

### Constructor Detail

#### TestClientRegistrarWebServices

    public TestClientRegistrarWebServices()

### Method Detail

#### ok

    @GET
     @Path(value="ok")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response ok()

#### clientRegistrar

    @GET
     @Path(value="clientBuilder")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response clientRegistrar(@QueryParam(value="async")
                                                                                                                         boolean async)
                                                                                                                  throws ExecutionException,
                                                                                                                         InterruptedException

Endpoint which uses `ClientTracingRegistrar.configure(ClientBuilder)` to create an outbound request to instrument a client for an outbound request.

Throws:
  `ExecutionException`
  `InterruptedException`

#### clientRegistrarExecutor

    @GET
     @Path(value="clientBuilderExecutor")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response clientRegistrarExecutor(@QueryParam(value="async")
                                                                                                                                         boolean async)
                                                                                                                                  throws ExecutionException,
                                                                                                                                         InterruptedException

Endpoint which uses `ClientTracingRegistrar.configure(ClientBuilder, java.util.concurrent.ExecutorService)` to instrument a client for an outbound request.

Throws:
  `ExecutionException`
  `InterruptedException`